# Class LoginException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.security.auth.login.LoginException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AccountException, CredentialException, FailedLoginException`

public class LoginException extends GeneralSecurityException
This is the basic login exception.

Since:
  1.4
See Also:
  - `LoginContext`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LoginException()`
Constructs a LoginException with no detail message.
`LoginException(String msg)`
Constructs a LoginException with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LoginException

public LoginException()
Constructs a LoginException with no detail message. A detail message is a String that describes this particular exception.

### LoginException

public LoginException(String msg)
Constructs a LoginException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.